org.eclnt.jsfserver.managedbean

## Class DefaultDispatchedBean

- java.lang.Object
- - org.eclnt.jsfserver.managedbean.DefaultDispatchedBean

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    WorkpageDispatchedBean, WorkplaceFavorites, WorkplaceFavoritesSquare, WorkplaceFunctionTree

      public class DefaultDispatchedBean
      extends java.lang.Object
      implements java.io.Serializable

  Default implementation of bean that is managed by a dispatcher. The bean gets passed the dispatcher that is owning the bean via its constructor.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultDispatchedBean(IDispatcher dispatcher)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `ccDestroy()` Called as part of the "destruction" of the Dispatcher-instance.
    `IDispatcher` | `getOwningDispatcher()`
    `void` | `setDispatcher(IDispatcher dispatcher)` Set the dispatcher.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultDispatchedBean

          public DefaultDispatchedBean(IDispatcher dispatcher)

  - ### Method Detail

    - #### getOwningDispatcher

          public IDispatcher getOwningDispatcher()

    - #### ccDestroy

          protected void ccDestroy()

      Called as part of the "destruction" of the Dispatcher-instance.

    - #### setDispatcher

          public void setDispatcher(IDispatcher dispatcher)

      Set the dispatcher. By default the dispatche is passed within the constructor. In order to support CDI-scenarios requiring constructors without any parameters you also can set the dispatcher - but need to do this directly after the creation of the instance! (Typically you need to update the Disptacher itself in order to do this.) This method will throw a runtime exception if the dispatcher is already set within the component.

Copyright © CaptainCasa Gmbh. All Rights Reserved.